PSP Help

Discussion in 'PSP - Hacking & Homebrew' started by T-hug, Nov 20, 2011.

  1. T-hug
    OP

    T-hug Always like this.

    pip Chief Editor
    9,100
    4,275
    Oct 24, 2002
    England
    Hi guys I have a PSP-2003 date code 7D.
    I'm not sure what firmware is on it but I believe it has Prometheus 5.50 loader on it. Under system information it has 5.50 Prome-4.

    I'd like to know what is the best current loader for isos, PSX and homebrew as some games I have tried won't boot on my setup.
    Any help much appreciated as I would like to try Fate Extra as well as some other titles.

    Cheers.
     


  2. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    Any of the PRO firmwares.
    https://code.google.com/p/procfw/wiki/Installation
     
  3. T-hug
    OP

    T-hug Always like this.

    pip Chief Editor
    9,100
    4,275
    Oct 24, 2002
    England
    Thx for the quick reply but how do I tell which of these files I need:
    6.20
    6.35
    6.39
    6.60
     
  4. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    That's the OFW, since you've got a 2k, you can pick 6.60 the latest one and use the CIPLFlasher after you've installed PRO.
     
  5. T-hug
    OP

    T-hug Always like this.

    pip Chief Editor
    9,100
    4,275
    Oct 24, 2002
    England
    OK thx.
     
  6. Snailface

    Snailface My frothing demand for 3ds homebrew is increasing

    Member
    4,324
    1,983
    Sep 20, 2010
    Engine Room with Cyan, watching him learn.
    Settings-->System Settings-->System Information

    That will inform you what ofw you're on so you can choose the PRO cfw with the same number. 6.39 PRO for 6.39 OFW, for instance. Upgrade if you're not on one of the firmwares you listed.
     
  7. T-hug
    OP

    T-hug Always like this.

    pip Chief Editor
    9,100
    4,275
    Oct 24, 2002
    England
    Under system information it has 5.50 Prome-4.
     
  8. The_Dragons_Mast

    The_Dragons_Mast GBAtemp Advanced Fan

    Member
    613
    19
    Apr 20, 2007
    Egypt
    Get official 6.60 here , install it over your current fw , install 6.60 Pro & finally run the CIPLFlasher to make the cfw permenant .
     
  9. jimmyemunoz

    jimmyemunoz GBAtemp Advanced Maniac

    Member
    1,958
    226
    Feb 23, 2009
    United States
    Louisiana
    Why 6.60?? It added pretty much nothing new. 6.39 Pro b10 or 6.39 9.7ME IMO are a better choice. And you can have dual firmware with these too (both Pro B10 and ME9.7) If you need help PM me and I can set you up :)
     
  10. T-hug
    OP

    T-hug Always like this.

    pip Chief Editor
    9,100
    4,275
    Oct 24, 2002
    England
    Thx guys.
    I just want the latest and most compatible firmware.
     
  11. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    Why not 6.60?
    Why do you need two firmwares when PRO is plenty enough?

    Can't believe people are still picky now, like with GEN and M33.
     
  12. Rydian

    Rydian Resident Furvertâ„¢

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Since you're on 5.50 prome-4 you'll want to take some specific steps before upgrading.
    http://gbatemp.net/topic/293978-how-to-softmod-hack-your-psp/
    Check the top section.

    And it's not a bad idea to use one of the lower firmwares for the ability to boot into OFW by holding select, which 6.60 appears to lack.
     
  13. T-hug
    OP

    T-hug Always like this.

    pip Chief Editor
    9,100
    4,275
    Oct 24, 2002
    England
    Where do I put the EBOOT for 6.60 to update?
    Sorry I'm really behind with PSP lol
     
  14. jimmyemunoz

    jimmyemunoz GBAtemp Advanced Maniac

    Member
    1,958
    226
    Feb 23, 2009
    United States
    Louisiana
    In all actuality, I would go with 6.39 ME9.7 over Pro B10. It's all about plugin support and loaders prowler_. :)
     
  15. The_Dragons_Mast

    The_Dragons_Mast GBAtemp Advanced Fan

    Member
    613
    19
    Apr 20, 2007
    Egypt
    You should put the update folder containg the eboot in x:\psp\game
     
  16. T-hug
    OP

    T-hug Always like this.

    pip Chief Editor
    9,100
    4,275
    Oct 24, 2002
    England
    I put it there but it shows as corrupted data on my game menu.
     
  17. insidexdeath

    insidexdeath .

    Member
    1,135
    463
    Apr 13, 2010
    Create a new folder and rename it to "UPDATE", place the EBOOT.PBP file into the "UPDATE" folder and then transfer the "UPDATE" to the GAME folder of your PSP.
     
  18. T-hug
    OP

    T-hug Always like this.

    pip Chief Editor
    9,100
    4,275
    Oct 24, 2002
    England
    Ok I did that and now it sees it but when I run it it says: The system software of your PSP system is version 9.90. There is no need to update.
     
  19. jimmyemunoz

    jimmyemunoz GBAtemp Advanced Maniac

    Member
    1,958
    226
    Feb 23, 2009
    United States
    Louisiana
    You need to go to version.txt and change it.


    Do this:

    1. Press select in xmb and where it says usb device change it from memory stick to flash 0 connect to computer.

    2. Don't touch anything in the usb, just search for the file, version.txt

    3. Open it up and change release number from 9.90 to 5.50 or lower than 6.20 or anything you want your version number to be.

    4. Change usb device back to memory stick.

    5. Finish!
     
  20. T-hug
    OP

    T-hug Always like this.

    pip Chief Editor
    9,100
    4,275
    Oct 24, 2002
    England
    Where do I find the flashO?
    I've hooked it up it is in USB mode.